<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         mod_updater.php
Description:  Functions for updating entities

*/

    include "../modules/class_article.php";
    include "../modules/class_order.php";
    include "../modules/mod_config.php";

    // Update order form V1.000 to V1.100
    function order_update_from1000to1100($orderId)
    {
        global $ARTICLE_FOLDER;
        global $ARTICLE_CUSTOM_FIELD_COUNT;
        global $ORDER_FOLDER;
        global $ORDER_FOLDER_DELETED;
        global $ARTICLE_CUSTOM_FIELD_COUNT;
        
        $artArticle = new cArticle;
        $artArticle->SetFolder($ARTICLE_FOLDER);
        $artArticle->SetCustFieldCount($ARTICLE_CUSTOM_FIELD_COUNT);
        $ordOrder = new cOrder;
        $ordOrder->SetFolder($ORDER_FOLDER);
        $ordOrder->SetFolderDeleted($ORDER_FOLDER_DELETED);
        $ordOrder->SetCustFieldCount($ARTICLE_CUSTOM_FIELD_COUNT);

        if ($ordOrder->LoadOrderFromId($orderId) == false)
            return false;
        if ($ordOrder->GetVersion() == "V1.100")
            return true;

        $artPrices = array();
        $artNames = array();
        for ($i = 0; $i < count($ordOrder->m_ordBasket->m_aArtIds); $i ++)
        {
            $aIds = $ordOrder->m_ordBasket->m_aArtIds;
            if ($artArticle->LoadArticleFromId($aIds[$i]) == false)
                return false;
            $artPrices[] = $artArticle->GetPrice();
            $artNames[] = $artArticle->GetName();
        }
        $ordOrder->SetArticlePrices($artPrices);
        $ordOrder->SetArticleNames($artNames);
        return $ordOrder->SaveOrder();
    }

?>